/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomScreen_H__
#define __GdomScreen_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomDOMObject.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomScreen GdomScreen;
typedef struct _GdomScreenClass GdomScreenClass;


#define GDOM_TYPE_SCREEN            (gdom_screen_get_type())
#define GDOM_SCREEN(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_SCREEN, GdomScreen))
#define GDOM_SCREEN_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_SCREEN, GdomScreen)Class)
#define GDOM_IS_SCREEN(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_SCREEN))
#define GDOM_IS_SCREEN_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_SCREEN))
#define GDOM_SCREEN_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_SCREEN, GdomScreenClass))

typedef struct _GdomScreenPrivate GdomScreenPrivate;

struct _GdomScreen {
    GdomDOMObject parent_instance;
    GdomScreenPrivate *priv;
};

struct _GdomScreenClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_screen_get_type (void);

G_END_DECLS

#endif /* __GdomScreen_H__ */
